use std::time::SystemTime;

use chrono::Local;
use eframe::{
    egui::{RichText, Window},
    App,
};

pub struct ClockWidget;

impl App for ClockWidget {
    fn update(&mut self, ctx: &eframe::egui::Context, frame: &mut eframe::Frame) {
        Window::new("Clock")
            .resizable(false)
            .movable(true)
            .show(ctx, |ui| {
                ui.label(
                    RichText::new(Local::now().format("%H:%M:%S").to_string())
                        .size(64.)
                        .strong(),
                );
                if ui.is_visible() {
                    ctx.request_repaint();
                }
            });
    }
}
