use chrono::Timelike;
use eframe::egui::{self, RichText};

pub struct Greeting;

impl eframe::App for Greeting {
    fn update(&mut self, ctx: &eframe::egui::Context, frame: &mut eframe::Frame) {
        egui::Window::new("Greeting")
            .title_bar(false)
            .movable(true)
            .resizable(false)
            .interactable(false)
            .show(ctx, |ui| {
                ui.label(
                    RichText::new(format!(
                        "Hello, {}!",
                        std::env::var("USER").unwrap_or(String::from("user"))
                    ))
                    .size(32.),
                );
                ui.label(format!("Good {}!", {
                    let hour = chrono::Local::now().hour();
                    if hour < 6 {
                        "night"
                    } else if hour >= 6 && hour < 12 {
                        "morning"
                    } else if hour >= 12 && hour < 17 {
                        "afternoon"
                    } else {
                        "evening"
                    }
                }))
            });
    }
}
