#![cfg_attr(not(debug_assertions), windows_subsystem = "windows")] // hide console window on Windows in release

use crate::apps::uptime::UptimeWidget;
use apps::greeting::Greeting;
use apps::uptime::MonitorTarget;
use dashboard::Dashboard;
use eframe::egui;
use std::ops::Sub;
use std::time::{Duration, Instant};

mod apps;
mod dashboard;

fn main() -> Result<(), eframe::Error> {
    env_logger::init(); // Log to stderr (if you run with `RUST_LOG=debug`).
    let options = eframe::NativeOptions {
        viewport: egui::ViewportBuilder::default().with_inner_size([1920., 1080.]),
        ..Default::default()
    };
    eframe::run_native(
        "Dashboard",
        options,
        Box::new(|_| {
            let mut dashboard = Box::<Dashboard>::default();
            dashboard.add_app("Greeting", Box::new(Greeting));
            dashboard
        }),
    )
}
